using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class JobSeekers_rcMenu : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {        
        string pageCall=this.NamingContainer.Page.Title;        
        HyperLink hyperLink  ;
        Literal literal  ;
        switch(pageCall)
        {
            case "::My Account":  
            case "::Recruiter Account":
            case "::JobSeeker Account":
            case "::Recruiter Accounts":
            case "::JobSeeker Accounts":
                hyperLink = new HyperLink();
                hyperLink.Text = "Recruiter Accounts";
                hyperLink.NavigateUrl = "RecruiterAccounts.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "JobSeeker Accounts";
                hyperLink.NavigateUrl = "JobSeekerAccounts.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                             
                break;
            case "::Job Manager":

                hyperLink = new HyperLink();
                hyperLink.Text = "Purchased Job";
                hyperLink.NavigateUrl = "jobpurchases.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                
                hyperLink = new HyperLink();
                hyperLink.Text = "Job Folders";
                //hyperLink.NavigateUrl = "jobfolders.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                break;
            case "::Save Info":
                hyperLink = new HyperLink();
                hyperLink.Text = "Saved Job";
                //hyperLink.NavigateUrl = "SavedJobs.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Saved Resumes";
                //hyperLink.NavigateUrl = "SavedResumes.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                break;
            case "::Alerts Manager":
                hyperLink = new HyperLink();
                hyperLink.Text = "Job Alerts";
                //hyperLink.NavigateUrl = "JobAlerts.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Resume Alerts";
                //hyperLink.NavigateUrl = "ResumeAlerts.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                break;
            case "::Resume Manager":
                             
                hyperLink = new HyperLink();
                hyperLink.Text = "Resume Manager";
                //hyperLink.NavigateUrl = "ResumeManager.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                 
                break;
            
            case "::Log out":
            case "::New User":
            
                hyperLink = new HyperLink();
                hyperLink.Text = "Login";
                hyperLink.NavigateUrl = "login.aspx";
                this.panelMenu.Controls.Add(hyperLink);

                break;
                           
             
            default:
                literal = new Literal();
                literal.Text = "For Administration";
                this.panelMenu.Controls.Add(literal);
                break;       
        }
        
    }
}
